Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in PHP
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in PHP
ID: RHSA-2014:1825-01
Distribution: Red Hat
Plattformen: Red Hat Enterprise Linux
Datum: Fr, 7. November 2014, 08:33
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8626
Applikationen: PHP

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Critical: php security update
Advisory ID: RHSA-2014:1825-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2014-1825.html
Issue date: 2014-11-06
CVE Names: CVE-2014-8626
=====================================================================

1. Summary:

Updated php packages that fix one security issue are now available for Red
Hat Enterprise Linux 4 Extended Life Cycle Support.

Red Hat Product Security has rated this update as having Critical security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (v. 4 ELS) - i386, ia64, x86_64
Red Hat Enterprise Linux ES (v. 4 ELS) - i386, x86_64

3. Description:

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

A stack-based buffer overflow flaw was found in the way the xmlrpc
extension parsed dates in the ISO 8601 format. A specially crafted XML-RPC
request or response could possibly cause a PHP application to crash or
execute arbitrary code with the privileges of the user running that PHP
application. (CVE-2014-8626)

All php users are advised to upgrade to these updated packages, which
contain a backported patch to correct this issue. After installing the
updated packages, the httpd daemon must be restarted for the update to
take effect.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to use the
Red Hat Network to apply this update are available at
https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1155607 - CVE-2014-8626 php: xmlrpc ISO8601 date format parsing buffer overflow

6. Package List:

Red Hat Enterprise Linux AS (v. 4 ELS):

Source:
php-4.3.9-3.38.el4.src.rpm

i386:
php-4.3.9-3.38.el4.i386.rpm
php-debuginfo-4.3.9-3.38.el4.i386.rpm
php-devel-4.3.9-3.38.el4.i386.rpm
php-domxml-4.3.9-3.38.el4.i386.rpm
php-gd-4.3.9-3.38.el4.i386.rpm
php-imap-4.3.9-3.38.el4.i386.rpm
php-ldap-4.3.9-3.38.el4.i386.rpm
php-mbstring-4.3.9-3.38.el4.i386.rpm
php-mysql-4.3.9-3.38.el4.i386.rpm
php-ncurses-4.3.9-3.38.el4.i386.rpm
php-odbc-4.3.9-3.38.el4.i386.rpm
php-pear-4.3.9-3.38.el4.i386.rpm
php-pgsql-4.3.9-3.38.el4.i386.rpm
php-snmp-4.3.9-3.38.el4.i386.rpm
php-xmlrpc-4.3.9-3.38.el4.i386.rpm

ia64:
php-4.3.9-3.38.el4.ia64.rpm
php-debuginfo-4.3.9-3.38.el4.ia64.rpm
php-devel-4.3.9-3.38.el4.ia64.rpm
php-domxml-4.3.9-3.38.el4.ia64.rpm
php-gd-4.3.9-3.38.el4.ia64.rpm
php-imap-4.3.9-3.38.el4.ia64.rpm
php-ldap-4.3.9-3.38.el4.ia64.rpm
php-mbstring-4.3.9-3.38.el4.ia64.rpm
php-mysql-4.3.9-3.38.el4.ia64.rpm
php-ncurses-4.3.9-3.38.el4.ia64.rpm
php-odbc-4.3.9-3.38.el4.ia64.rpm
php-pear-4.3.9-3.38.el4.ia64.rpm
php-pgsql-4.3.9-3.38.el4.ia64.rpm
php-snmp-4.3.9-3.38.el4.ia64.rpm
php-xmlrpc-4.3.9-3.38.el4.ia64.rpm

x86_64:
php-4.3.9-3.38.el4.x86_64.rpm
php-debuginfo-4.3.9-3.38.el4.x86_64.rpm
php-devel-4.3.9-3.38.el4.x86_64.rpm
php-domxml-4.3.9-3.38.el4.x86_64.rpm
php-gd-4.3.9-3.38.el4.x86_64.rpm
php-imap-4.3.9-3.38.el4.x86_64.rpm
php-ldap-4.3.9-3.38.el4.x86_64.rpm
php-mbstring-4.3.9-3.38.el4.x86_64.rpm
php-mysql-4.3.9-3.38.el4.x86_64.rpm
php-ncurses-4.3.9-3.38.el4.x86_64.rpm
php-odbc-4.3.9-3.38.el4.x86_64.rpm
php-pear-4.3.9-3.38.el4.x86_64.rpm
php-pgsql-4.3.9-3.38.el4.x86_64.rpm
php-snmp-4.3.9-3.38.el4.x86_64.rpm
php-xmlrpc-4.3.9-3.38.el4.x86_64.rpm

Red Hat Enterprise Linux ES (v. 4 ELS):

Source:
php-4.3.9-3.38.el4.src.rpm

i386:
php-4.3.9-3.38.el4.i386.rpm
php-debuginfo-4.3.9-3.38.el4.i386.rpm
php-devel-4.3.9-3.38.el4.i386.rpm
php-domxml-4.3.9-3.38.el4.i386.rpm
php-gd-4.3.9-3.38.el4.i386.rpm
php-imap-4.3.9-3.38.el4.i386.rpm
php-ldap-4.3.9-3.38.el4.i386.rpm
php-mbstring-4.3.9-3.38.el4.i386.rpm
php-mysql-4.3.9-3.38.el4.i386.rpm
php-ncurses-4.3.9-3.38.el4.i386.rpm
php-odbc-4.3.9-3.38.el4.i386.rpm
php-pear-4.3.9-3.38.el4.i386.rpm
php-pgsql-4.3.9-3.38.el4.i386.rpm
php-snmp-4.3.9-3.38.el4.i386.rpm
php-xmlrpc-4.3.9-3.38.el4.i386.rpm

x86_64:
php-4.3.9-3.38.el4.x86_64.rpm
php-debuginfo-4.3.9-3.38.el4.x86_64.rpm
php-devel-4.3.9-3.38.el4.x86_64.rpm
php-domxml-4.3.9-3.38.el4.x86_64.rpm
php-gd-4.3.9-3.38.el4.x86_64.rpm
php-imap-4.3.9-3.38.el4.x86_64.rpm
php-ldap-4.3.9-3.38.el4.x86_64.rpm
php-mbstring-4.3.9-3.38.el4.x86_64.rpm
php-mysql-4.3.9-3.38.el4.x86_64.rpm
php-ncurses-4.3.9-3.38.el4.x86_64.rpm
php-odbc-4.3.9-3.38.el4.x86_64.rpm
php-pear-4.3.9-3.38.el4.x86_64.rpm
php-pgsql-4.3.9-3.38.el4.x86_64.rpm
php-snmp-4.3.9-3.38.el4.x86_64.rpm
php-xmlrpc-4.3.9-3.38.el4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2014-8626
https://access.redhat.com/security/updates/classification/#critical

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2014 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFUW697XlSAg2UNWIIRAuu1AKCAEDKPlsiPg9RWMAq+eU3azqAa5gCguBBi
w4PFhxoZN4eOuy9SjlzcjHg=
=1OUD
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung